/**
*Emby App
* Implementing Emby App
*/
var EmbyApp = EmbyApp || {};  //Define Emby App namespace.
/**
*Constructor UNAS App
*/
EmbyApp.App = function () {
    this.id = 'Emby';
    this.name = 'Emby';
    this.version = '6.0.7';
    this.active = false;
    this.menuIcon = '/apps/emby/images/logo.png?v=6.0.7&';
    this.shortcutIcon = '/apps/emby/images/logo.png?v=6.0.7&';
    var self = this;
    this.EmbyAppWindow = function () {
    	if(UNAS.CheckAppState('Emby')){
    		return false;
    	}
    	self.window=new MUI.Window({
            id: 'EmbyAppWindow',
            title: UNAS._('Emby'),
            icon: '/apps/emby/images/logo_small.png?v=6.0.7&',
            loadMethod: 'xhr',
            width: 750,
            height: 480,
            maximizable: false,
            resizable: true,
            scrollbars: false,
            resizeLimit: { 'x': [650, 1200], 'y': [450, 900] },
            contentURL: '/apps/emby/emby.html?v=6.0.7&',
            // require: {  css: ['/apps/emby/css/emby.css'] },
            onBeforeBuild: function(){UNAS.SetAppOpenedWindow("Emby",'EmbyAppWindow')}
     	});
    };
    this.EmbyUninstall = function (){
    	UNAS.RemoveDesktopShortcut('Emby');
    	UNAS.RemoveMenu('Emby');
    	//UNAS.RemoveAppFromGroups('Emby', 'Help');
    	UNAS.RemoveAppFromGroups('Emby', 'ControlPanel');
    	UNAS.RemoveAppFromApps('Emby');
    };
    new UNAS.Menu('UNAS_App_Multimedia_Menu', this.id, this.menuIcon, this.name, '', this.EmbyAppWindow);
    new UNAS.DesktopShortcut(this.id, this.shortcutIcon, this.name, this.EmbyAppWindow);
    //new UNAS.RegisterToAppGroup(this.name, 'ControlPanel', {'Type' : 'Internet', 'Laction' : 3, "Icon": this.shortcutIcon, "Url": this.entryUrl},{});
    //new UNAS.RegisterToAppGroup(this.name, 'Help', {'Type' : 'Internet', 'Laction' : 3, "Icon": this.shortcutIcon, "Url": this.entryHelpUrl},{});
    var OnChangeLanguage = function (e) {
    	UNAS.SetMenuTitle('Emby', UNAS._('Emby')); //translate menu
        UNAS.SetShortcutTitle('Emby', UNAS._('Emby'));
        if (typeof self.window !== 'undefined') {
        	UNAS.SetWindowTitle('EmbyAppWindow', UNAS._('Emby'));
        }
    };
    UNAS.LoadTranslation('/apps/emby/languages/Translation?v=' + this.version, OnChangeLanguage);
    UNAS.Event.addEvent('ChangeLanguage', OnChangeLanguage);
    UNAS.CreateApp(this.name, this.shortcutIcon, this.EmbyAppWindow, this.EmbyUninstall);
};

new EmbyApp.App();
