#!/bin/sh

DIR=$1
if [ -z "$DIR" ];then
    exit 1
fi

SET_DIR=`realpath "$DIR"`/emby
. /etc/emby-server.conf

if [ "$SET_DIR" == "$EMBY_DATA" ];then
    exit 0
fi

if [ ! -d "$SET_DIR" ];then
    mkdir "$SET_DIR"
fi
chown emby:emby "$SET_DIR"

DATA_DIR_SET=EMBY_DATA=\"$SET_DIR\"

sed -i "s#^EMBY_DATA=.*#$DATA_DIR_SET#g" /etc/emby-server.conf

if [ -d "$EMBY_DATA" ];then
    rm -rf "$EMBY_DATA/logs" "$EMBY_DATA/cache" "$EMBY_DATA/transcoding-temp"
    mv "$EMBY_DATA"/* "$SET_DIR"
    mv "$EMBY_DATA"/{.profile,.bash_logout,.bashrc} "$SET_DIR"
fi
